body{
    font-family: Arial, Helvetica, sans-serif;
    margin: 0;
    padding: 0;
}

/* Styles généraux */

/* Barre de navigation */
nav {
    background: #1855cf;
    color: #f3f3f3;
    padding: 20px 0;
    text-align: center;
}

nav ul {
    list-style: none;
    display: flex;
    justify-content: center;
}

nav ul li {
    margin: 0 10px;
}

nav ul li a{
    color: #E6FEFE;
    text-decoration: none;

}

nav ul li a:hover{
    text-decoration: underline;
}

.menu-toggle{
    display: none;
}



#home {
    background-image: url('../img/background-miata.jpg');
    background-position: center;
    text-align: center;
    padding: 20vh 5vw;
    color: whitesmoke;
    background-size: cover;
}


.projet-cards{
    display: grid;
    grid-template-columns:repeat(auto-fit, minmax(250px , 1fr));
    gap: 20px;
    padding: 0 20px;
    
}
p{
    color: #E6FEFE;
}
.project-card {
    border-radius: 5px;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px, rgba(0, 0, 0, 0.3) 0px 30px 60px -30px, rgba(10, 37, 64, 0.35) 0px -2px 6px 0px inset;
    background-color: grey;
    
}
.pres{
    color: #080707;

}

.project-card img {
    width: 100%;
    height: 150px;
    object-fit: cover;
}

.project-card h3 {
    text-align: center;
    color: #080707;
}

.project-card .btn {
    display: block;
    text-align: center;
    padding: 10px;
    background-color: #333;
    margin: 15px;
    color: white;
    text-decoration: none;
    border-radius: 5px;
    transition: 0.3s;
    
}

.project-card .btn:hover {
    background-color: rgb(80,80,80);
}

#skills{
    padding: 50px;
    background-color: #003366;
    color: white;
    text-align: center;
}

.skills-tout {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 30px;
   align-items: center;

}


.competence img {
    width: 100px;
    height: 100px;
    background-color: rgb(255, 255, 255);
    border-radius: 150px;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 50px 100px -20px, rgba(0, 0, 0, 0.3) 0px 30px 60px -30px, rgba(10, 37, 64, 0.35) 0px -2px 6px 0px inset;;
    padding: 10px;
    margin-bottom: 10px;
    
}
.competence img:hover {
    transform: scale(1.05);

}

form {
    max-width: 600px;
    margin: 0 auto;
    padding: 20px;
    background-color: #003366; /* Fond bleu sombre pour s'harmoniser avec la section compétences */
    border-radius: 8px;
    color: white;
}

form input,
form textarea {
    background-color: #ffffff;
    min-width: 100%;
    max-width: 100%;
    padding: 10px 0;
    border: 1px solid #555;
    border-radius: 4px;
    box-sizing: border-box;
}

form textarea {
    min-height: 100px;
}

form div {
    margin-bottom: 15px;
}

form label {
    display: block;
    margin-bottom: 5px;
    font-weight: bold;
}

form button {
    width: 100%;
    padding: 15px;
    border-radius: 4px;
    background-color: #00aced;
    color: #fff;
    border: none;
    font-size: 15px;
    font-weight: bold;
    transition: background-color 0.3s;
    cursor:pointer ;

}
form button:hover{
    scale: 1.009;
    background-color: #1488b2;

}

h2 {
    text-align: center;
}

@media (max-width: 768px) {

    .menu-toggle {
        display: block;
        cursor: pointer;
    }

    nav {
        position: sticky;
        top: 0;
        height: 45px;
    }

    nav ul {
        display: none;
        
    }

    nav ul.show {
        display: flex;
        flex-direction: column;
        background-color: #190cd1;
        width: 100%;
        gap: 30px;
        padding: 30px 0px;

    }}